| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::DeleteDialog Class Reference
Inheritance diagram for Digikam::DeleteDialog:

## Public Types
enum | Mode { ModeFiles , ModeAlbums , ModeSubalbums }

## Public Member Functions
| DeleteDialog (QWidget *const parent)
bool | confirmDeleteList (const QList< QUrl > &condemnedURLs, DeleteDialogMode::ListMode listMode, DeleteDialogMode::DeleteMode deleteMode)
void | presetDeleteMode (DeleteDialogMode::DeleteMode mode)
void | setListMode (DeleteDialogMode::ListMode mode)
void | setUrls (const QList< QUrl > &urls)
bool | shouldDelete () const

## Protected Slots
void | slotShouldDelete (bool)
void | slotUser1Clicked ()

## Protected Member Functions
void | keyPressEvent (QKeyEvent *) override
void | showEvent (QShowEvent *) override